public static interface SjmsBatchEndpointBuilderFactory.SjmsBatchBuilders
| Modifier and Type | Method and Description |
|---|---|
default SjmsBatchEndpointBuilderFactory.SjmsBatchEndpointBuilder |
sjmsBatch(String path)
Simple JMS Batch (camel-sjms)
Highly performant and transactional batch consumption of messages
from a JMS queue.
|
default SjmsBatchEndpointBuilderFactory.SjmsBatchEndpointBuilder |
sjmsBatch(String componentName,
String path)
Simple JMS Batch (camel-sjms)
Highly performant and transactional batch consumption of messages
from a JMS queue.
|
default SjmsBatchEndpointBuilderFactory.SjmsBatchEndpointBuilder sjmsBatch(String path)
sjms-batch:destinationName
Path parameter: destinationName (required)
The destination name. Only queues are supported, names may be
prefixed by 'queue:'.path - destinationNamedefault SjmsBatchEndpointBuilderFactory.SjmsBatchEndpointBuilder sjmsBatch(String componentName, String path)
sjms-batch:destinationName
Path parameter: destinationName (required)
The destination name. Only queues are supported, names may be
prefixed by 'queue:'.componentName - to use a custom component name for the endpoint
instead of the default namepath - destinationNameApache Camel